# frozen_string_literal: true

require_relative 'lib/brvs/version'

Gem::Specification.new do |spec|
  spec.name          = 'brvs'
  spec.version       = Brvs::VERSION
  spec.authors       = ['Tony Burns']
  spec.email         = ['tony@tonyburns.net']

  spec.summary       = 'Client library for Brvs'
  spec.description   = 'Client library for Brvs, an open source URL shortener and branded link management application'
  spec.homepage      = 'https://github.com/craftyphotons/brvs-ruby'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/craftyphotons/brvs-ruby'
  spec.metadata['changelog_uri'] = 'https://github.com/craftyphotons/brvs-ruby/blob/main/CHANGELOG.md'

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^spec/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
end
